import { Meta, Canvas } from "@storybook/blocks";
import * as ComponentStories from "./my-service-calls-modals.stories";

<Meta of={ComponentStories} name="Docs" />

# My Service Calls Modals

Displays detailed information for a service call.

### Notes for Typo 3 implementation:

Don't use the new modal `ux-modal` and file upload `ux-iws-file-upload` components for the modals "Fall ergänzen", "Rückruf anfordern" and "Fall schliessen" with the integrated forms. You can visually follow the new layout but technically they have to be integrated according to the existing functionality, see Patternlab https://trumpf-styleguide.dev.tru/patterns/04-templates-09-MyTRUMPF-23-service-calls-detail/04-templates-09-MyTRUMPF-23-service-calls-detail.html
But please do use `ux-modal` for the new technical guides modal as it is demonstrated here.

## Stylesheets

To include the styles for this page in TYPO3, add the following line:

```html
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/service-calls-detail.css"
/>
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/service-calls-technical-guides-modal.css"
/>
```

For the **Service Times Modal** the following stylesheet is needed:

```html
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/service-times-modal.css"
/>
```

## Mission Details Modals

To initegrate the Mission details modal add the following to the History tab of the Service Calls page, in the appropriate row:

```
<ux-iws-async-modal name="mission-details-modal" src="mock-data/service-calls/mission-details-modal-extended.html"></ux-iws-async-modal>
<button data-trigger-async-modal="open,mission-details-modal" class="ux-button ux-u-margin-top-15 ux-u-margin-bottom-5">
    Show Details
</button>
```

Pass to the `src` a valid API endpoint that delivers the DOM Structure of the Modal.
Clicking on the `show code` button will display the DOM structure of the Modal content. <br />
The parts highlighted in white are the texts to be inserted dynamically.
